@ECHO OFF

CLS

ECHO.
ECHO  ***************************************
ECHO  *                                     *
ECHO  *         INSTALL ROUTINE FOR         *
ECHO  *                                     *
ECHO  *              RE-VILLE               *
ECHO  *                                     *
ECHO  ***************************************
ECHO.
ECHO  This routine will install the track
ECHO  "Re-Ville" into the levels folder of
ECHO  your Re-Volt directory. It will also
ECHO  install the skymap used in the track.
ECHO  No files will be overwritten. This
ECHO  batch file should be in the folder
ECHO  "re-ville data" in you Re-Volt folder.
ECHO.
ECHO  You may abort the install process now
ECHO  by closing this window.
ECHO.
ECHO.
pause
CLS
ECHO  * Creating folder
md ..\levels\re-ville

ECHO  * Installing track data
copy /y ..\levels\re-ville_data\re-ville.cam ..\levels\re-ville\re-ville.cam
copy /y ..\levels\re-ville_data\re-ville.fan ..\levels\re-ville\re-ville.fan
copy /y ..\levels\re-ville_data\re-ville.fin ..\levels\re-ville\re-ville.fin
copy /y ..\levels\re-ville_data\re-ville.fld ..\levels\re-ville\re-ville.fld
copy /y ..\levels\re-ville_data\re-ville.fob ..\levels\re-ville\re-ville.fob
copy /y ..\levels\re-ville_data\re-ville.ncp ..\levels\re-ville\re-ville.ncp
copy /y ..\levels\re-ville_data\re-ville.pan ..\levels\re-ville\re-ville.pan
copy /y ..\levels\re-ville_data\re-ville.por ..\levels\re-ville\re-ville.por
copy /y ..\levels\re-ville_data\re-ville.tri ..\levels\re-ville\re-ville.tri
copy /y ..\levels\re-ville_data\re-ville.vis ..\levels\re-ville\re-ville.vis
copy /y ..\levels\re-ville_data\re-ville.w ..\levels\re-ville\re-ville.w
copy /y ..\levels\re-ville_data\re-ville.inf ..\levels\re-ville\re-ville.inf
copy /y ..\levels\re-ville_data\re-ville.taz ..\levels\re-ville\re-ville.taz
copy /y ..\levels\re-ville_data\re-ville.lit ..\levels\re-ville\re-ville.lit

ECHO  * Installing track graphics
copy /y ..\levels\re-ville_data\re-villea.bmp ..\levels\re-ville\re-villea.bmp
copy /y ..\levels\re-ville_data\re-villeb.bmp ..\levels\re-ville\re-villeb.bmp
copy /y ..\levels\re-ville_data\re-villec.bmp ..\levels\re-ville\re-villec.bmp
copy /y ..\levels\re-ville_data\re-villed.bmp ..\levels\re-ville\re-villed.bmp
copy /y ..\levels\re-ville_data\re-villee.bmp ..\levels\re-ville\re-villee.bmp
copy /y ..\levels\re-ville_data\re-villef.bmp ..\levels\re-ville\re-villef.bmp
copy /y ..\levels\re-ville_data\re-villeg.bmp ..\levels\re-ville\re-villeg.bmp
copy /y ..\levels\re-ville_data\re-villeh.bmp ..\levels\re-ville\re-villeh.bmp
copy /y ..\levels\re-ville_data\re-villei.bmp ..\levels\re-ville\re-villei.bmp
copy /y ..\levels\re-ville_data\re-villej.bmp ..\levels\re-ville\re-villej.bmp
copy /y ..\levels\re-ville_data\re-ville.bmp ..\gfx\re-ville.bmp

ECHO  * Renaming original skymap
copy /y ..\levels\nhood1\sky_ft.bmp ..\levels\nhood1\org_sky_ft.bmp
copy /y ..\levels\nhood1\sky_lt.bmp ..\levels\nhood1\org_sky_lt.bmp
copy /y ..\levels\nhood1\sky_rt.bmp ..\levels\nhood1\org_sky_rt.bmp
copy /y ..\levels\nhood1\sky_bk.bmp ..\levels\nhood1\org_sky_bk.bmp
copy /y ..\levels\nhood1\sky_tp.bmp ..\levels\nhood1\org_sky_tp.bmp
copy /y ..\levels\nhood1\sky_bt.bmp ..\levels\nhood1\org_sky_bt.bmp

ECHO  * Installing "Re-Ville" skymap
copy /y ..\levels\re-ville_data\sky_ft.bmp ..\levels\nhood1\sky_ft.bmp
copy /y ..\levels\re-ville_data\sky_lt.bmp ..\levels\nhood1\sky_lt.bmp
copy /y ..\levels\re-ville_data\sky_rt.bmp ..\levels\nhood1\sky_rt.bmp
copy /y ..\levels\re-ville_data\sky_bk.bmp ..\levels\nhood1\sky_bk.bmp
copy /y ..\levels\re-ville_data\sky_tp.bmp ..\levels\nhood1\sky_tp.bmp
copy /y ..\levels\re-ville_data\sky_bt.bmp ..\levels\nhood1\sky_bt.bmp

ECHO.
ECHO  ***************************************
ECHO  *        Installation complete        *
ECHO  ***************************************
ECHO.
ECHO  Happy Racing!
ECHO.
ECHO  Check the according section of the
ECHO  "readme" if you would like to uninstall
ECHO  the track.

GOTO End
:Error

ECHO  Make sure you unzipped the original
ECHO  zip-file into your "Re-Volt" root
ECHO  directory.
:End